Skip to main content
Version: v1.0.0

Post

So many changes will be made here as we perfect the wording of posts and replies and how they interact with one another.

Get Post

GET /post/{UUID}

Scopes

post.get / reply.get

Response

{
"uuid": "string",
"parent": {"parent object"},
"author": {"user object"},
"content": "string",
"from": {"application object"},
"locked": "boolean",
"reply_count": int,
"like_count": int,
"created_at": timestamp
}

Get Post Replies

GET /post/{UUID}/replies/{page}

Scopes

post.get, reply.get

Response

{
"post": {"post object"},
"replies": [
{"post object"},
{"post object"},
{"post object"},
{"post object"},
{"post object"}
]
}

Send Post

POST /post

Scopes

post.get, post.send / reply.get, reply.post

Body

NameTypeNotes
contentStringMax 500 Characters
lockedBoolean
parentStringThe ID of the post you want to reply too

Response

{
"uuid": "string",
"parent": {"parent object"},
"author": {"user object"},
"content": "string",
"from": {"application object"},
"locked": "boolean",
"reply_count": int,
"like_count": int,
"created_at": timestamp
}

Update Post

PATCH /post/{UUID}

Scopes

post.get, post.edit / reply.get, reply.edit

Body

NameTypeNotes
contentStringMax 500 Characters
lockedBoolean

Response

{
"post object"
}

Delete Post

DELETE /post/{UUID}

Scopes

post.get, post.delete / reply.get, reply.delete

Response

{
"post object"
}

Like/Unlike

POST /post/{UUID}/like

Scopes

post.get, post.like / reply.get, reply.like

Response

{
"action": "liked",
"uuid": "string"
}
{
"action": "unliked",
"uuid": "string"
}